/* UtilLib - Copyright (c) 2006-2022 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.conditions;

import java.util.List;


/**
 *
 * @author Vincent Calame
 */
public interface TextCondition {

    public String getLogicalOperator();

    public List<TextTest> getExcludingTextTestList();

    public List<TextTest> getIncludingTextTestList();

    public default boolean isAndOperator() {
        return (getLogicalOperator().equals(ConditionsConstants.LOGICALOPERATOR_AND));
    }

    public default boolean isOrOperator() {
        return (getLogicalOperator().equals(ConditionsConstants.LOGICALOPERATOR_OR));
    }

}
